CppUnit is a C++ unit testing framework.

Starting with version 1.14.0, cppunit may require that your tests
be compiled with a C++11-conforming compiler (e.g. by adding the
-std=c++11 flag to g++).  Since this is not yet the default for g++,
if you intend on using cppunit with projects that do not yet mandate
C++11, then you may want to stick with an older version.

graphviz is an optional dependency.  It will be used when creating the
Doxygen documentation if found.
